Bug 1030295 - php cli problem
php cli problem
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php (Show other bugs)
6.4
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 05:04 EST by A.Kuroki
Modified: 2014-10-30 21:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-30 21:05:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 65714 None None None Never
PHP Bug Tracker 66412 None None None Never

  None (edit)
Description A.Kuroki 2013-11-14 05:04:54 EST
Description of problem:
php script at command line cannot be executed. In a background task.

Version-Release number of selected component (if applicable):
php-cli-5.3.3-22.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create PHP script file
2. start background task

Actual results:

1. create PHP script
#!/usr/bin/php
<?php
 echo "AAA\n";
?>

2. start background task
# php aaa.php &
[2] 1744
# 

[2]+  Stopped                 php aaa.php

Expected results:

2. start background task
# php aaa.php &
[2] 1744
# 
AAA
[2]+  Stopped                 php aaa.php

Additional info:

#strace php aaa.php &
ioctl(0, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig icanon echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) @ 0 (0) ---
--- SIGTTOU (Stopped (tty output)) @ 0 (0) ---
ioctl(0, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig icanon echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) @ 0 (0) ---
--- SIGTTOU (Stopped (tty output)) @ 0 (0) ---
ioctl(0, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig icanon echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) @ 0 (0) ---
--- SIGTTOU (Stopped (tty output)) @ 0 (0) ---

The same problem?
[PHP-DEV] PHP CLI setting cooked terminal mode
http://www.serverphorums.com/read.php?7,782444
Comment 2 Joe Orton 2013-11-15 04:10:11 EST
Thanks for reporting this issue to us.  If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain it receives the proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please
visit: https://www.redhat.com/support/process/production/#howto
Comment 3 RHEL Product and Program Management 2013-11-18 04:15:29 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Remi Collet 2014-03-21 10:51:44 EDT
65714 fix upstream in 5.5.7
66412 fix upstream in 5.5.9

Not fixed in upstream 5.3 or 5.4

So rhel-7, rhscl/php54, rhscl/php55 are also affected
Comment 7 Remi Collet 2014-03-21 11:01:46 EDT
Additional notice: "nohup php aaa.php &" is a possible workaround
Comment 11 RHEL Product and Program Management 2014-10-30 21:05:42 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.